Package org.eclipse.emf.cdo.server

# Interface ILockingManager.DurableViewHandler

Enclosing interface:
  ILockingManager

public static interface ILockingManager.DurableViewHandler
A call-back interface primarily intended to allow implementers to prevent the view from being opened by throwing an exception. See `ILockingManager.addDurableViewHandler(DurableViewHandler)`.

Since:
  4.1
Author:
  Caspar De Groot

## Method Summary

Modifier and Type
Method
Description
`void`
`openingView(CDOCommonSession session, int viewID, boolean readOnly, IDurableLockingManager.LockArea area)`
A call-back method primarily intended to allow implementers to prevent the view from being opened by throwing an exception.

## Method Details

### openingView

void openingView(CDOCommonSession session, int viewID, boolean readOnly, IDurableLockingManager.LockArea area) throws Exception
A call-back method primarily intended to allow implementers to prevent the view from being opened by throwing an exception. See `ILockingManager.addDurableViewHandler(DurableViewHandler)`.

Throws:
  `Exception`